% creep fatigue failure criterion from
% Hongyin Mao, Sankaran Mahadevan
% Reliability analysis of creep–fatigue failure
% International Journal of Fatigue 22 (2000) 789–797

sgm=sqrt(log(1.04));s2=sgm^2/2;
dp ={ {'logn',{  log(5490)-s2, sgm}, 'N_c','creep life'},...
      {'logn',{ log(17100)-s2, sgm},'N_f','fatigue life'},...
      {'logn',{   log(549)-s2, sgm},  'n_c','creep loads cycles'},...
      {'logn',{  log(4000)-s2, sgm}, 'n_f','fatigue loads cycles'},...
      {'norm',{   .42, .2*.42},  '\theta_1','material parameter 1'},...
      {'norm',{     6, .2*6},    '\theta_2','material parameter 2'}};
  
k=length(dp);
  
model=@(x)2-exp(x(:,5).*x(:,3)./x(:,1))+(exp(x(:,5))-2).*...
    (exp(-x(:,6).*x(:,3)./x(:,1))-1)./(exp(-x(:,6))-1)-x(:,4)./x(:,2);
